data {
    int N;
    real X[N];
}
parameters {
    real mu;
    real<lower = 0.0> sgm;
}
model {
    mu ~ normal(0.0, 1000.0);
    sgm ~ exponential(0.001);
    for (i in 1:N) {
        X[i] ~ normal(mu, sgm);
    }
}
